Package org.flowable.cmmn.model

# Class Criterion

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.Criterion

All Implemented Interfaces:
  `HasAssociations`, `HasExtensionAttributes`

public class Criterion extends CaseElement implements HasAssociations

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `attachedToRefId`
  `static final String`
  `EXIT_EVENT_TYPE_COMPLETE`
  `static final String`
  `EXIT_EVENT_TYPE_EXIT`
  `static final String`
  `EXIT_EVENT_TYPE_FORCE_COMPLETE`
  `static final String`
  `EXIT_TYPE_ACTIVE_AND_ENABLED_INSTANCES`
  `static final String`
  `EXIT_TYPE_ACTIVE_INSTANCES`
  `static final String`
  `EXIT_TYPE_DEFAULT`
  `protected String`
  `exitEventType`
  The exit event type is only available (used) on an exit sentry attached to a case plan model or a stage and represents which event will be triggered when exiting the stage or case plan model.
  `protected String`
  `exitType`
  The exit type is only available (used) on an exit sentry attached to a plan item and represents on how it affects its plan item instances when triggered.
  `protected List<Association>`
  `incomingAssociations`
  `protected boolean`
  `isEntryCriterion`
  `protected boolean`
  `isExitCriterion`
  `protected List<Association>`
  `outgoingAssociations`
  `protected Sentry`
  `sentry`
  `protected String`
  `sentryRef`
  `protected String`
  `technicalId`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Criterion()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addIncomingAssociation(Association association)`
  `void`
  `addOutgoingAssociation(Association association)`
  `String`
  `getAttachedToRefId()`
  `String`
  `getExitEventType()`
  `String`
  `getExitType()`
  `List<Association>`
  `getIncomingAssociations()`
  `List<Association>`
  `getOutgoingAssociations()`
  `Sentry`
  `getSentry()`
  `String`
  `getSentryRef()`
  `String`
  `getTechnicalId()`
  `boolean`
  `isEntryCriterion()`
  `boolean`
  `isExitCriterion()`
  `void`
  `setAttachedToRefId(String attachedToRefId)`
  `void`
  `setEntryCriterion(boolean isEntryCriterion)`
  `void`
  `setExitCriterion(boolean isExitCriterion)`
  `void`
  `setExitEventType(String exitEventType)`
  `void`
  `setExitType(String exitType)`
  `void`
  `setIncomingAssociations(List<Association> incomingAssociations)`
  `void`
  `setOutgoingAssociations(List<Association> outgoingAssociations)`
  `void`
  `setSentry(Sentry sentry)`
  `void`
  `setSentryRef(String sentryRef)`
  `void`
  `setTechnicalId(String technicalId)`
  `String`
  `toString()`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EXIT_TYPE_DEFAULT

    public static final String EXIT_TYPE_DEFAULT
    See Also:
      - Constant Field Values

  - ### EXIT_TYPE_ACTIVE_INSTANCES

    public static final String EXIT_TYPE_ACTIVE_INSTANCES
    See Also:
      - Constant Field Values

  - ### EXIT_TYPE_ACTIVE_AND_ENABLED_INSTANCES

    public static final String EXIT_TYPE_ACTIVE_AND_ENABLED_INSTANCES
    See Also:
      - Constant Field Values

  - ### EXIT_EVENT_TYPE_EXIT

    public static final String EXIT_EVENT_TYPE_EXIT
    See Also:
      - Constant Field Values

  - ### EXIT_EVENT_TYPE_COMPLETE

    public static final String EXIT_EVENT_TYPE_COMPLETE
    See Also:
      - Constant Field Values

  - ### EXIT_EVENT_TYPE_FORCE_COMPLETE

    public static final String EXIT_EVENT_TYPE_FORCE_COMPLETE
    See Also:
      - Constant Field Values

  - ### technicalId

    protected String technicalId

  - ### sentryRef

    protected String sentryRef

  - ### sentry

    protected Sentry sentry

  - ### attachedToRefId

    protected String attachedToRefId

  - ### isEntryCriterion

    protected boolean isEntryCriterion

  - ### isExitCriterion

    protected boolean isExitCriterion

  - ### exitType

    protected String exitType
    The exit type is only available (used) on an exit sentry attached to a plan item and represents on how it affects its plan item instances when triggered.

  - ### exitEventType

    protected String exitEventType
    The exit event type is only available (used) on an exit sentry attached to a case plan model or a stage and represents which event will be triggered when exiting the stage or case plan model.

  - ### incomingAssociations

    protected List<Association> incomingAssociations

  - ### outgoingAssociations

    protected List<Association> outgoingAssociations

- ## Constructor Details

  - ### Criterion

    public Criterion()

- ## Method Details

  - ### getTechnicalId

    public String getTechnicalId()

  - ### setTechnicalId

    public void setTechnicalId(String technicalId)

  - ### getSentryRef

    public String getSentryRef()

  - ### setSentryRef

    public void setSentryRef(String sentryRef)

  - ### getSentry

    public Sentry getSentry()

  - ### setSentry

    public void setSentry(Sentry sentry)

  - ### getAttachedToRefId

    public String getAttachedToRefId()

  - ### setAttachedToRefId

    public void setAttachedToRefId(String attachedToRefId)

  - ### isEntryCriterion

    public boolean isEntryCriterion()

  - ### setEntryCriterion

    public void setEntryCriterion(boolean isEntryCriterion)

  - ### isExitCriterion

    public boolean isExitCriterion()

  - ### setExitCriterion

    public void setExitCriterion(boolean isExitCriterion)

  - ### getExitType

    public String getExitType()

  - ### setExitType

    public void setExitType(String exitType)

  - ### getExitEventType

    public String getExitEventType()

  - ### setExitEventType

    public void setExitEventType(String exitEventType)

  - ### addIncomingAssociation

    public void addIncomingAssociation(Association association)
    Specified by:
      `addIncomingAssociation` in interface `HasAssociations`

  - ### getIncomingAssociations

    public List<Association> getIncomingAssociations()
    Specified by:
      `getIncomingAssociations` in interface `HasAssociations`

  - ### setIncomingAssociations

    public void setIncomingAssociations(List<Association> incomingAssociations)
    Specified by:
      `setIncomingAssociations` in interface `HasAssociations`

  - ### addOutgoingAssociation

    public void addOutgoingAssociation(Association association)
    Specified by:
      `addOutgoingAssociation` in interface `HasAssociations`

  - ### getOutgoingAssociations

    public List<Association> getOutgoingAssociations()
    Specified by:
      `getOutgoingAssociations` in interface `HasAssociations`

  - ### setOutgoingAssociations

    public void setOutgoingAssociations(List<Association> outgoingAssociations)
    Specified by:
      `setOutgoingAssociations` in interface `HasAssociations`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`